Subject: Re: FVWM: Mouse buttons and menus changing randomly

From: Dan Espen <[email-masked]>
Date: Fri, 08 Feb 2002 12:58:08 -0500

Because of mail system problems, this response from Dominik Vogt
appears to be coming from me, respond to fvwm-workers.

On Thu, Feb 07, 2002 at 04:00:56PM +0000, Thomas Adam wrote:
> Dear List,
> 
> I am having a rather strange problem. Currently I have
> a three-button mouse (X11 recognises this). I have
> configured FVWM2 so that the following happens:
> 
> Mouse 1 (root window)  "Root Menu"
> Mouse 3 (middle button) (root window) "Window List"
> Mouse 2 (right button) (root window) "Program menu"
> 
> The configurations for clicking on frames, windows,
> borders have been left via the de facto.
> 
> My problem is that after a while,

> of using the mouse,
> I find that my mappings of buttons to the menus
> suddenly changes, so that for example, if I click the
> left hand mouse button to iconify my window, it will
> bring up a "Window Config" menu, and not iconify.
> 
> Other menus are also mapped to other buttons.
> Restarting FVWM2 has no effect. The only way to fix
> it, is to completely restart xdm.
> 
> Would anybody know why this would occur?? On inital
> loading of AnotherLevel, all the mappings of menus to
> buttons work fine.

The only problem that appears 'after a while' and that can only
be fixed by restarting X that I can remember is the obnoxious
caps-lock, scroll-lock, num-lock problem.  You have probably
pressed one of these keys so the actions you expect are disabled
and others are used.  Pressing the guilty key again fixes the
problem.  Question 5.5 in our FAQ describes several ways to
prevent this.

Bye

Dominik ^_^  ^_^

-- 
Dan Espen
444 Hoes Lane  Room RRC 1C-214             E-mail: [email-masked]
Piscataway, NJ 08854                       Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].